Bug 35662 - Type System.ServiceModel.Security.Tokens.BinarySecretSecurityToken is missing in assembly System.IdentityModel
Summary: Type System.ServiceModel.Security.Tokens.BinarySecretSecurityToken is missing...
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: WCF assemblies (show other bugs)
Version: master
Hardware: PC Linux
: Normal normal
Target Milestone: Untriaged
Assignee: Alexander Köplinger [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2015-11-08 07:57 UTC by af4178a2
Modified: 2017-09-06 16:55 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
NUnit test (353 bytes, text/x-csharp)
2015-11-08 07:57 UTC, af4178a2
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description af4178a2 2015-11-08 07:57:19 UTC
Created attachment 13723 [details]
NUnit test

It seems Microsoft moved the class System.ServiceModel.Security.Tokens.BinarySecretSecurityToken from System.ServiceModel assembly to System.IdentityModel assembly starting with .NET 4.5

Therefore using SymmetricKeyIssuerSecurityTokenProvider from NuGet package Microsoft.Owin.Security.Jwt under Mono/.NET 4.5 results in the following exception:

Could not load type 'System.ServiceModel.Security.Tokens.BinarySecretSecurityToken' from assembly 'System.IdentityModel, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089'.)
  at Microsoft.Owin.Security.Jwt.SymmetricKeyIssuerSecurityTokenProvider..ctor (System.String issuer, System.Byte[] key) <0x415ac7d0 + 0x0005b> in <filename unknown>:0
Comment 1 Alexander Köplinger [MSFT] 2016-10-13 17:11:03 UTC
I opened a pull request which moves this type and a few others that were moved in .NET 4.5: https://github.com/mono/mono/pull/3763
Comment 2 Alexander Köplinger [MSFT] 2016-10-14 14:21:14 UTC
Merged to master and mono-4.8.0-branch. Thanks!